<?php
App::uses('AppModel', 'Model');
/**
 * Anuncio Model
 *
 * @property User $User
 * @property Country $Country
 * @property Ciudad $Ciudad
 * @property Tipo $Tipo
 * @property Categoria $Categoria
 * @property Zona $Zona
 * @property Completar $Completar
 * @property Foto $Foto
 * @property InfoContacto $InfoContacto
 * @property Video $Video
 */
class Anuncio extends AppModel {

/**
 * Validation rules
 *
 * @var array
 */
	public $validate = array(
		'codigo' => array(
			'notBlank' => array(
				'rule' => array('notBlank'),
				//'message' => 'Your custom message here',
				//'allowEmpty' => false,
				//'required' => false,
				//'last' => false, // Stop validation after this rule
				//'on' => 'create', // Limit validation to 'create' or 'update' operations
			),
		),
		'url' => array(
			'notBlank' => array(
				'rule' => array('notBlank'),
				//'message' => 'Your custom message here',
				//'allowEmpty' => false,
				//'required' => false,
				//'last' => false, // Stop validation after this rule
				//'on' => 'create', // Limit validation to 'create' or 'update' operations
			),
		),
		'titulo' => array(
			'notBlank' => array(
				'rule' => array('notBlank'),
				//'message' => 'Your custom message here',
				//'allowEmpty' => false,
				//'required' => false,
				//'last' => false, // Stop validation after this rule
				//'on' => 'create', // Limit validation to 'create' or 'update' operations
			),
		),
		'direccion' => array(
			'notBlank' => array(
				'rule' => array('notBlank'),
				//'message' => 'Your custom message here',
				//'allowEmpty' => false,
				//'required' => false,
				//'last' => false, // Stop validation after this rule
				//'on' => 'create', // Limit validation to 'create' or 'update' operations
			),
		),
		'descripcion' => array(
			'notBlank' => array(
				'rule' => array('notBlank'),
				//'message' => 'Your custom message here',
				//'allowEmpty' => false,
				//'required' => false,
				//'last' => false, // Stop validation after this rule
				//'on' => 'create', // Limit validation to 'create' or 'update' operations
			),
		),
		'user_id' => array(
			'numeric' => array(
				'rule' => array('numeric'),
				//'message' => 'Your custom message here',
				//'allowEmpty' => false,
				//'required' => false,
				//'last' => false, // Stop validation after this rule
				//'on' => 'create', // Limit validation to 'create' or 'update' operations
			),
		),
		'admin' => array(
			'notBlank' => array(
				'rule' => array('notBlank'),
				//'message' => 'Your custom message here',
				//'allowEmpty' => false,
				//'required' => false,
				//'last' => false, // Stop validation after this rule
				//'on' => 'create', // Limit validation to 'create' or 'update' operations
			),
		),
		'country_id' => array(
			'numeric' => array(
				'rule' => array('numeric'),
				//'message' => 'Your custom message here',
				//'allowEmpty' => false,
				//'required' => false,
				//'last' => false, // Stop validation after this rule
				//'on' => 'create', // Limit validation to 'create' or 'update' operations
			),
		),
		'ciudad_id' => array(
			'numeric' => array(
				'rule' => array('numeric'),
				//'message' => 'Your custom message here',
				//'allowEmpty' => false,
				//'required' => false,
				//'last' => false, // Stop validation after this rule
				//'on' => 'create', // Limit validation to 'create' or 'update' operations
			),
		),
		'tipo_id' => array(
			'numeric' => array(
				'rule' => array('numeric'),
				//'message' => 'Your custom message here',
				//'allowEmpty' => false,
				//'required' => false,
				//'last' => false, // Stop validation after this rule
				//'on' => 'create', // Limit validation to 'create' or 'update' operations
			),
		),
		'categoria_id' => array(
			'numeric' => array(
				'rule' => array('numeric'),
				//'message' => 'Your custom message here',
				//'allowEmpty' => false,
				//'required' => false,
				//'last' => false, // Stop validation after this rule
				//'on' => 'create', // Limit validation to 'create' or 'update' operations
			),
		),
		'zona_id' => array(
			'numeric' => array(
				'rule' => array('numeric'),
				//'message' => 'Your custom message here',
				//'allowEmpty' => false,
				//'required' => false,
				//'last' => false, // Stop validation after this rule
				//'on' => 'create', // Limit validation to 'create' or 'update' operations
			),
		),
		
		'estado' => array(
			'boolean' => array(
				'rule' => array('boolean'),
				//'message' => 'Your custom message here',
				//'allowEmpty' => false,
				//'required' => false,
				//'last' => false, // Stop validation after this rule
				//'on' => 'create', // Limit validation to 'create' or 'update' operations
			),
		),
		'operacion' => array(
			'boolean' => array(
				'rule' => array('boolean'),
				//'message' => 'Your custom message here',
				//'allowEmpty' => false,
				//'required' => false,
				//'last' => false, // Stop validation after this rule
				//'on' => 'create', // Limit validation to 'create' or 'update' operations
			),
		),
	);

	//The Associations below have been created with all possible keys, those that are not needed can be removed

/**
 * belongsTo associations
 *
 * @var array
 */
	public $belongsTo = array(
		'User' => array(
			'className' => 'User',
			'foreignKey' => 'user_id',
			'conditions' => '',
			'fields' => '',
			'order' => ''
		),
		'Country' => array(
			'className' => 'Country',
			'foreignKey' => 'country_id',
			'conditions' => '',
			'fields' => '',
			'order' => ''
		),
		'Ciudad' => array(
			'className' => 'Ciudad',
			'foreignKey' => 'ciudad_id',
			'conditions' => '',
			'fields' => '',
			'order' => ''
		),
		'Tipo' => array(
			'className' => 'Tipo',
			'foreignKey' => 'tipo_id',
			'conditions' => '',
			'fields' => '',
			'order' => ''
		),
		'Categoria' => array(
			'className' => 'Categoria',
			'foreignKey' => 'categoria_id',
			'conditions' => '',
			'fields' => '',
			'order' => ''
		),
		'Zona' => array(
			'className' => 'Zona',
			'foreignKey' => 'zona_id',
			'conditions' => '',
			'fields' => '',
			'order' => ''
		)
	);

/**
 * hasMany associations
 *
 * @var array
 */
	public $hasMany = array(
		'Completar' => array(
			'className' => 'Completar',
			'foreignKey' => 'anuncio_id',
			'dependent' => false,
			'conditions' => '',
			'fields' => '',
			'order' => '',
			'limit' => '',
			'offset' => '',
			'exclusive' => '',
			'finderQuery' => '',
			'counterQuery' => ''
		),
		'Foto' => array(
			'className' => 'Foto',
			'foreignKey' => 'anuncio_id',
			'dependent' => false,
			'conditions' => '',
			'fields' => '',
			'order' => '',
			'limit' => '',
			'offset' => '',
			'exclusive' => '',
			'finderQuery' => '',
			'counterQuery' => ''
		),
		'InfoContacto' => array(
			'className' => 'InfoContacto',
			'foreignKey' => 'anuncio_id',
			'dependent' => false,
			'conditions' => '',
			'fields' => '',
			'order' => '',
			'limit' => '',
			'offset' => '',
			'exclusive' => '',
			'finderQuery' => '',
			'counterQuery' => ''
		),
		'Video' => array(
			'className' => 'Video',
			'foreignKey' => 'anuncio_id',
			'dependent' => false,
			'conditions' => '',
			'fields' => '',
			'order' => '',
			'limit' => '',
			'offset' => '',
			'exclusive' => '',
			'finderQuery' => '',
			'counterQuery' => ''
		)
	);
	
	function GeneraCOdigo($controller,$codigotipo=null)
	{
		$v=$controller->Anuncio->query("SELECT * FROM maximos where tipo_id='$codigotipo'");
		  
	   $ccc=$v['0']['maximos']['max']+1; 
	   $controller->Anuncio->query("UPDATE maximos SET max='$ccc' where tipo_id='$codigotipo'");
	   $vt=$controller->Anuncio->query("SELECT * FROM tipos WHERE id='$codigotipo'");
	 
	   $qhilor=$vt['0']['tipos']['iniciales'];
           return $qhilor.$ccc;
	}
	
	function buscarCodigo($controller,$codigo){
	 	//metodo que busca datos en el buscador
    	$conditions='';
        $conditions = "(Anuncio.codigo='$codigo' )";       
        $this->recursive = -1;
        return $controller->paginate('Anuncio', $conditions);
     }
	 
	 function buscar($controller,$tipo,$categoria,$ciudad,$zona){
	 	//metodo que busca datos en "Busqueda rapida"
    	$conditions='';
		if($tipo<>1 and $categoria<>1 and $zona<>1){		
          $conditions = "(Anuncio.tipo_id='$tipo' and
                          Anuncio.categoria_id='$categoria' and
                          Anuncio.ciudad_id='$ciudad' and
                          Anuncio.zona_id='$zona')";
        }elseif($tipo==1 and $categoria<>1 and $zona<>1)
		{$conditions = "(
                          Anuncio.categoria_id='$categoria' and
                          Anuncio.ciudad_id='$ciudad' and
                          Anuncio.zona_id='$zona')";
			
		}elseif($tipo<>1 and $categoria==1 and $zona<>1){
			$conditions = "(Anuncio.tipo_id='$tipo' and                          
                          Anuncio.ciudad_id='$ciudad' and
                          Anuncio.zona_id='$zona')";
		}elseif($tipo<>1 and $categoria<>1 and $zona==1){
			$conditions = "(Anuncio.tipo_id='$tipo' and
                          Anuncio.categoria_id='$categoria' and
                          Anuncio.ciudad_id='$ciudad')";
		}elseif($tipo==1 and $categoria==1 and $zona<>1){
			$conditions = "(                          
                          Anuncio.ciudad_id='$ciudad' and
                          Anuncio.zona_id='$zona')";
		}elseif($tipo<>1 and $categoria==1 and $zona==1){
			$conditions = "(Anuncio.tipo_id='$tipo' and                          
                          Anuncio.ciudad_id='$ciudad')";
		}elseif($tipo==1 and $categoria<>1 and $zona==1)
		{ $conditions = "(
                          Anuncio.categoria_id='$categoria' and
                          Anuncio.ciudad_id='$ciudad' 
                          )";			
		}elseif($tipo==1 and $categoria==1 and $zona==1){		
          $conditions = "(Anuncio.ciudad_id='$ciudad')";
        }
		
		
  	/*        $conditions .= "AND (Anuncio.id LIKE '%$ciudad%' OR 
			                  Anuncio.ciudad_id LIKE '%$ciudad%' OR
                              Anuncio.tipo_id LIKE '%$ciudad%' OR
                              Anuncio.marca_id LIKE '%$ciudad%' OR
                              Anuncio.modelo_id LIKE '%$ciudad%')";
    */       			
	
        $this->recursive = 0;
        return $controller->paginate('Anuncio',$conditions);
     }
	 
	  function busqueda($controller, $cadena){
        $conditions = '';
        /*if ($fechaIni != '' && $fechaEnd != ''){
            $conditions = "Correspondencia.fecha BETWEEN '$fechaIni' AND '$fechaEnd'";
            if($cadena != ''){
                $conditions .= " AND (Correspondencia.id LIKE '%$cadena%' OR Correspondencia.cite LIKE '%$cadena%' OR
                                 Correspondencia.referencia LIKE '%$cadena%' OR
                                 Correspondencia.origen LIKE '%$cadena%' OR
                                 Correspondencia.destino1 LIKE '%$cadena%')";
            }
        } else{*/
            $conditions .= "Anuncio.codigo LIKE '%$cadena%' OR 
							Anuncio.titulo LIKE '%$cadena%' OR
                            Anuncio.direccion LIKE '%$cadena%' OR
                            Anuncio.descripcion LIKE '%$cadena%' OR
                            Anuncio.precio LIKE '%$cadena%'";
        //}

        $this->recursive = -1;
        return $controller->paginate('Anuncio', $conditions);
    }
	
	function exito($controller,$id=null)
	{   $v=$controller->Anuncio->query("update anuncios set operacion='1' where id='$id'");
	     return true;
		
	}
	function CompletarFoto($controller,$numero=null,$idAnuncio=null)
	{ $fe=date("Y-m-j");
	   $v=$controller->Anuncio->query("select * from completar where anuncio_id='$idAnuncio'");
		   $fila=count($v); 
				 if($fila==0)
				 	$controller->Anuncio->query("INSERT INTO completar VALUES('','$numero','$fe','$idAnuncio')");
				 else {
				 	$controller->Anuncio->query("UPDATE completar SET lugar='$numero' where anuncio_id='$idAnuncio'");
				 }  
		return 1;
	}

	 function busquedafoto($controller, $codigo){
       $conditions='';
        $conditions = "(Anuncio.codigo='$codigo' )";       
        $this->recursive = -1;
        return $controller->paginate('Anuncio', $conditions);
    }
}
