<div class="contactos index">
	<h2><?php echo __('Contactos'); ?></h2>
	<table cellpadding="0" cellspacing="0">
	<thead>
	<tr>
			<th><?php echo $this->Paginator->sort('id'); ?></th>
			<th><?php echo $this->Paginator->sort('nombre'); ?></th>
			<th><?php echo $this->Paginator->sort('email'); ?></th>
			<th><?php echo $this->Paginator->sort('telefonos'); ?></th>
			<th><?php echo $this->Paginator->sort('celular'); ?></th>
			<th><?php echo $this->Paginator->sort('asunto'); ?></th>
			<th><?php echo $this->Paginator->sort('titulo'); ?></th>
			<th><?php echo $this->Paginator->sort('mensaje'); ?></th>
			<th><?php echo $this->Paginator->sort('codigo'); ?></th>
			<th><?php echo $this->Paginator->sort('created'); ?></th>
			<th class="actions"><?php echo __('Actions'); ?></th>
	</tr>
	</thead>
	<tbody>
	<?php foreach ($contactos as $contacto): ?>
	<tr>
		<td><?php echo h($contacto['Contacto']['id']); ?>&nbsp;</td>
		<td><?php echo h($contacto['Contacto']['nombre']); ?>&nbsp;</td>
		<td><?php echo h($contacto['Contacto']['email']); ?>&nbsp;</td>
		<td><?php echo h($contacto['Contacto']['telefonos']); ?>&nbsp;</td>
		<td><?php echo h($contacto['Contacto']['celular']); ?>&nbsp;</td>
		<td><?php echo h($contacto['Contacto']['asunto']); ?>&nbsp;</td>
		<td><?php echo h($contacto['Contacto']['titulo']); ?>&nbsp;</td>
		<td><?php echo h($contacto['Contacto']['mensaje']); ?>&nbsp;</td>
		<td><?php echo h($contacto['Contacto']['codigo']); ?>&nbsp;</td>
		<td><?php echo h($contacto['Contacto']['created']); ?>&nbsp;</td>
		<td class="actions">
			<?php echo $this->Html->link(__('View'), array('action' => 'view', $contacto['Contacto']['id'])); ?>
			<?php echo $this->Html->link(__('Edit'), array('action' => 'edit', $contacto['Contacto']['id'])); ?>
			<?php echo $this->Form->postLink(__('Delete'), array('action' => 'delete', $contacto['Contacto']['id']), array('confirm' => __('Are you sure you want to delete # %s?', $contacto['Contacto']['id']))); ?>
		</td>
	</tr>
<?php endforeach; ?>
	</tbody>
	</table>
	<p>
	<?php
	echo $this->Paginator->counter(array(
		'format' => __('Page {:page} of {:pages}, showing {:current} records out of {:count} total, starting on record {:start}, ending on {:end}')
	));
	?>	</p>
	<div class="paging">
	<?php
		echo $this->Paginator->prev('< ' . __('previous'), array(), null, array('class' => 'prev disabled'));
		echo $this->Paginator->numbers(array('separator' => ''));
		echo $this->Paginator->next(__('next') . ' >', array(), null, array('class' => 'next disabled'));
	?>
	</div>
</div>
<div class="actions">
	<h3><?php echo __('Actions'); ?></h3>
	<ul>
		<li><?php echo $this->Html->link(__('New Contacto'), array('action' => 'add')); ?></li>
	</ul>
</div>
