<?php

namespace app\models;

use Yii;

/**
 * This is the model class for table "tipoclasificadorcomun".
 *
 * @property integer $IdTipoClasificadorComun
 * @property string $Descripcion
 *
 * @property Clasificadorcomun[] $clasificadorcomuns
 */
class Tipoclasificadorcomun extends \yii\db\ActiveRecord
{
    /**
     * @inheritdoc
     */
    public static function tableName()
    {
        return 'tipoclasificadorcomun';
    }

    /**
     * @inheritdoc
     */
    public function rules()
    {
        return [
            [['Descripcion'], 'string', 'max' => 100],
        ];
    }

    /**
     * @inheritdoc
     */
    public function attributeLabels()
    {
        return [
            'IdTipoClasificadorComun' => 'Id Tipo Clasificador Comun',
            'Descripcion' => 'Descripcion',
        ];
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getClasificadorcomuns()
    {
        return $this->hasMany(Clasificadorcomun::className(), ['IdTipoClasificadorComun' => 'IdTipoClasificadorComun']);
    }
}
