<?php

use yii\helpers\Html;


/* @var $this yii\web\View */
/* @var $model app\models\User */

$this->title = 'Crear Usuario';
$this->params['breadcrumbs'][] = ['label' => 'Usuarios', 'url' => ['index']];
$this->params['breadcrumbs'][] = $this->title;
?>
<div class="user-create">

    <h1><?= Html::encode($this->title) ?></h1>

    <?php
    //para mensajes flash
    foreach(Yii::$app->session->getAllFlashes() as $key => $message) {
        echo '<div class="alert alert-' . $key . '"><a href="#" class="close" data-dismiss="alert" aria-label="close">&times;</a>' . $message . "</div>\n";
    }
    ?>

    <?= $this->render('_form', [
        'model' => $model,
        'userLogin'=> $userLogin,
        'comboPersona' => $comboPersona,
    ]) ?>

</div>
