<?php
require_once ('/Applications/MAMP/bin/php5.3/share/pear/MDB2.php');

/**
*	short desc
*         Gestion Admin
*	long desc
*         Gestion Admin
*	@package com.kenoa
*	@version 1.0
*	@author  Kenoa
*/

class admin {


/**
* @var int
*/
var $id;
/**
* @var string
*/
var $nombre;
/**
* @var string
*/
var $login;
/**
* @var string
*/
var $password;
/**
* @var datetime
*/
var $cargo;
var $fecha;


/**
* Short description.
*    Constructor
* Detail description
*   If the primary key is passed, intiliaze the object
*   from the database
* @param      email code
* @access     public
* @return     1 o error
*/
function __construct() {
    //Objet avec Id
   if (func_num_args() == 1) {
     //Connection
     $db =& MDB2::factory(DB_DNS,$DB_OPTIONS);
     $id= func_get_arg(0);
     $sql="SELECT * FROM admin WHERE id='$id'";
     //echo $sql;
     $result = $db->query($sql);
     if (PEAR::isError($result))
        die('admin:Init'.$result->getMessage());
     // Recuperacin de los datos
     else {
     $row =& $result->fetchRow(MDB2_FETCHMODE_ASSOC);
     $this->id = $id;
     $this->nombre = $row['nombre'];
     $this->login = $row['login'];
     $this->password = $row['password'];
     $this->cargo = $row['cargo'];
     $this->lastDate = $row['fecha'];
     $result->free();
     $db->disconnect;
     return 1;
     }
   }
   return 1;
}//end __construct



/**
* Short description.
* Insert datas on database
* @param   array of datas
* @return  TRUE or Error
*/
function insert($array)
{
//Connection
$db =& MDB2::factory(DB_DNS,$DB_OPTIONS);
  //Creation sequence
    // $this->id = $db->nextId('admin',TRUE);
  //Recuperation tableau :
     $this->login=$array['login'];
     $this->password=$array['password'];
     $this->cargo=$array['cargo'];
     if (!get_magic_quotes_gpc()) {
        $this->nombre=addslashes($array['nombre']);
     } else {
        $this->nombre=$array['nombre'];
     }
     $sql="INSERT INTO admin (nombre,login,password,cargo,fecha) ".
          "VALUES ('$this->nombre','$this->login','$this->password','$this->cargo',NOW()) ";
     $ins=$db->query($sql);
     if (PEAR::isError($ins))
        die('admin ins:'.$ins->getMessage());
     $db->disconnect();
}//end insert

/**
* Short description.
* Update database from the attribute values
* @param   array of datas
* @return  TRUE or Error
*/
function update() {
 //Connection
 $db =& MDB2::factory(DB_DNS,$DB_OPTIONS);
 /* 
  $sql="UPDATE admin SET name='$this->name',".
       "login='$this->login',password='$this->password', last_date=NOW()".
       " WHERE admin_id='$this->adminId'";
*/	   
  $sql="UPDATE admin SET password='$this->password' ".
       " WHERE admin_id='$this->adminId'";
	     
  $upd=$db->query($sql);
  if (PEAR::isError($upd))
        die('admin upd:'.$upd->getMessage());
  $db->disconnect();
  return 1;
}//end update()


/**
* Short description.
* Delete the object from the database
* @return  TRUE or Error
*/
function delete() {
//Connection
$db =& MDB2::factory(DB_DNS,$DB_OPTIONS);
$sql ="DELETE FROM admin WHERE id ='$this->id'";
$del =$db->query($sql);
if (PEAR::isError($del))
    die('admin del:'.$del->getMessage());
$db->disconnect();
return 1;
}//end delete

/**
* Short description.
*  Return the name of the admin
* @return string
*/
function nameAdmin() {
   return $this->name;
}


/**
* Short description.
*  Return the id of the admin
* @return int
*/
function getId() {
   return $this->id;
}

function getNombre() {
   return $this->nombre;
}

function getCargo() {
   return $this->cargo;
}

/**
* Short description.
*  Return the attributs of the object
* @return array
*/
function get() {
  $admin = array(
    "id"=>$this->id,
    "nombre"=>$this->nombre,
    "login" => $this->login,
    "password" => $this->password,
    "fecha" => $this->fecha
    );
  return $admin;
}//end get

/**
* Short description.
*  Set the attribut of the object
* @param array
* @return 1
*/
function set($array) {

$this->name=$array['name'];
$this->login=$array['login'];
$this->password=$this->md5_encrypt($array['password']);
return 1;
}//end set()


/**
* Short description.
*  Update the encrypted password on database
* @return string
*/
function setPassword($pwd) {
  //Connection
  $db =& MDB2::factory(DB_DNS,$DB_OPTIONS);
  $pwd=$this->md5_encrypt($pwd);
  $sql="UPDATE admin SET password='$pwd' ".
       "WHERE admin_id='$this->adminId'";
  //echo $sql;
  $upd=$db->query($sql);
  if (PEAR::isError($upd))
        die('admin setpwd:'.$upd->getMessage());
  $db->disconnect();
  return 1;
}//end set()

/**
* Short description.
*  Get the admin list
* @return array
*/
function getListe() {
 //Connection
$db =& MDB2::factory(DB_DNS,$DB_OPTIONS);
$sql="SELECT * FROM admin ORDER BY id";
$result = $db->query($sql);
if (PEAR::isError($result))
   die('admin:getListe'.$result->getMessage());
// Recuperacin de los datos
elseif ($result->numRows()>0) {
     $i=0;
     while ($row =& $result->fetchRow(MDB2_FETCHMODE_ASSOC)) {
     $liste[$i]=array(
         "id" => $row['id'],
         "nombre"  => $row['nombre'],
         "login"    => $row['login'],
         "password"    => $row['password'],
         "cargo" => $row['cargo'],
         "fecha"  => $row['fecha']
       );
     $i++;
     }//end while
     $result->free();
     $db->disconnect();
//     print_r($liste);
     return $liste;
} else {
  $result->free();
  $db->disconnect();
  return 0;
 }
}//end getListe

/**
* Short description.
*  Encryption function
* @return string
*/
function get_rnd_iv($iv_len) {
   $iv = '';
   while ($iv_len-- > 0) {
       $iv .= chr(mt_rand() & 0xff);
   }
   return $iv;
}

/**
* Short description.
*  Encryption function
* @return string
*/
function md5_encrypt($plain_text, $iv_len = 16) {
   $password=CLE;
   $plain_text .= "\x13";
   $n = strlen($plain_text);
   if ($n % 16) $plain_text .= str_repeat("\0", 16 - ($n % 16));
   $i = 0;
   $enc_text = $this->get_rnd_iv($iv_len);
   $iv = substr($password ^ $enc_text, 0, 512);
   while ($i < $n) {
       $block = substr($plain_text, $i, 16) ^ pack('H*', md5($iv));
       $enc_text .= $block;
       $iv = substr($block . $iv, 0, 512) ^ $password;
       $i += 16;
   }
   return base64_encode($enc_text);
}

/**
* Short description.
*  decrypt function
* @return string
*/
function md5_decrypt($enc_text, $iv_len = 16) {
   $password=CLE;
   $enc_text = base64_decode($enc_text);
   $n = strlen($enc_text);
   $i = $iv_len;
   $plain_text = '';
   $iv = substr($password ^ substr($enc_text, 0, $iv_len), 0, 512);
   while ($i < $n) {
       $block = substr($enc_text, $i, 16);
       $plain_text .= $block ^ pack('H*', md5($iv));
       $iv = substr($block . $iv, 0, 512) ^ $password;
       $i += 16;
   }
   return preg_replace('/\\x13\\x00*$/', '', $plain_text);
}

/**
* Short description.
*  Verify admin login and password
* @return true or false
*/
function verifyLogin($login,$password) {
  //Connection
  $db =& MDB2::factory(DB_DNS);
  $pwd=$password;
  $login=trim($login);
  $sql="SELECT * FROM admin WHERE trim(login)='$login'";
  $result =& $db->query($sql);

  if ($result->numRows()>0) {
     $check=false;
     $row =& $result->fetchRow(MDB2_FETCHMODE_ASSOC);
     $pwd=$row['password'];
     if ($pwd==$password) {
        $check=true;
        $this->id = $row['id'];
        $this->nombre = $row['nombre'];
        $this->login = $row['login'];
        $this->cargo = $row['cargo'];
     }
  }
  else $check=false;
  $result->free();
  $db->disconnect();
  return $check;
}//end verify login



/**
* Short description.
*   Return the account rights
* @return int
*/
function getPermissions() {
  return array("ADMIN" => "7");
}//end verify login

/**
* Short description.
*  return admin name name
* @return string
*/
function getName(){
return $this->name;
}

}//end class
?>