<h2><?php echo __('Mensajes'); ?></h2>

<p>
<?php
	echo $this->Paginator->counter(array(
	'format' => __('Página {:page} de {:pages}, viendo {:current} de un total de  {:count}, empezando en {:start}, finalizando en {:end}')
	));
	?>
</p>
<div class="container">
<div class="table-responsive">	
	<table cellpadding="0" cellspacing="0" class="table table-striped table-bordered table-hover table-condensed">
	<thead>
	<tr>
			<th class="info"><?php echo $this->Paginator->sort('id'); ?></th>
		
			<th class="info"><?php echo $this->Paginator->sort('titulo'); ?></th>
			<th class="info"><?php echo $this->Paginator->sort('tipo_id'); ?></th>
			<th class="info"><?php echo $this->Paginator->sort('categoria_id'); ?></th>
			<th class="info"><?php echo $this->Paginator->sort('zona_id'); ?></th>
			<th class="info"><?php echo $this->Paginator->sort('nombre'); ?></th>
			<th class="info"><?php echo $this->Paginator->sort('telefono'); ?></th>
			<th class="info"><?php echo $this->Paginator->sort('celular'); ?></th>		
		
			<th class="info"><?php echo $this->Paginator->sort('created'); ?></th>
		
			<th class="info"><?php echo __('Acciones'); ?></th>
	</tr>
	</thead>
	<tbody>
	<?php foreach ($mensajes as $mensaje): ?>
	<tr>
		<td><?php echo h($mensaje['Mensaje']['id']); ?>&nbsp;</td>
		<td><?php echo h($mensaje['Mensaje']['titulo']); ?>&nbsp;</td>
		<td>
			<?php echo $this->Html->link($mensaje['Tipo']['id'], array('controller' => 'tipos', 'action' => 'view', $mensaje['Tipo']['id'])); ?>
		</td>
		<td>
			<?php echo $this->Html->link($mensaje['Categoria']['id'], array('controller' => 'categorias', 'action' => 'view', $mensaje['Categoria']['id'])); ?>
		</td>
		<td>
			<?php echo $this->Html->link($mensaje['Zona']['id'], array('controller' => 'zonas', 'action' => 'view', $mensaje['Zona']['id'])); ?>
		</td>
		<td><?php echo h($mensaje['Mensaje']['nombre']); ?>&nbsp;</td>
		<td><?php echo h($mensaje['Mensaje']['telefono']); ?>&nbsp;</td>
		<td><?php echo h($mensaje['Mensaje']['celular']); ?>&nbsp;</td>
		<td><?php echo h($mensaje['Mensaje']['created']); ?>&nbsp;</td>
	
		<td class="actions">
			<?php echo $this->Html->link(__('Ver'), array('action' => 'view', $mensaje['Mensaje']['id'])); ?>
			<?php echo $this->Form->postLink(__('Eliminar'), array('action' => 'delete', $mensaje['Mensaje']['id']), array('confirm' => __('¿Usted está seguro quiere eliminar # %s?', $mensaje['Mensaje']['id']))); ?>
		</td>
	</tr>
<?php endforeach; ?>
	</tbody>
	</table>
</div>
</div>	
		
	<div class="paging">
	<?php echo $this->paginator->prev('<< '.__('Anterior', true), array(), null, array('class'=>'disabled'));?>
 | 	<?php echo $this->paginator->numbers();?>
	<?php echo $this->paginator->next(__('Siguiente', true).' >>', array(), null, array('class' => 'disabled'));?>
	</div>
	


