<?php

use app\models\Capa;
use yii\helpers\Html;
use kartik\slider\Slider;
use yii\helpers\Url;

/* @var $this yii\web\View */
/* @var $searchModel app\models\ClasificadorcomunSearch */
/* @var $dataProvider yii\data\ActiveDataProvider */

$this->title = 'Dashboard';
$param = $param = Yii::$app->request->queryParams;


?>

<script src="<?php echo \yii\helpers\Url::base(true)."/js/geoxml3/"; ?>ZipFile.complete.js"></script>
<script src="<?php echo \yii\helpers\Url::base(true)."/js/geoxml3/"; ?>geoxml3_gxParse_kmz.js"></script>

<script src="<?php echo \yii\helpers\Url::base(true)."/js/"; ?>markerclusterer.js"></script>
<script src="https://maps.googleapis.com/maps/api/js?v=3&key=AIzaSyDq_HUz7BoWLmGl2nM9aC5GGsHEoYEzCLo"></script>
<div class="dashboard-index">
    <!--
    <h1><?= Html::encode($this->title) ?></h1>

    <div class="jumbotron alert-success">

        <br>
        <?php /*Html::img('images/Dashboard03Aprobado.png',["class"=>"img-responsive center-block"]) */?>
    </div>
-->
    <div id="Mapa">

            <div class="dashboard-opc cargando" >
            <div class="dashboard-opc-close glyphicon glyphicon-menu-left">  </div>


                <div class="txtDefault h4" style="text-align:center">Dashboard</div>
             <div class="contenedor hide">
                   <div class="check-list small">
                    <?php
                    /** @var Capa $capa */
                    foreach( $comboCapas as $capa){ ?>
                    <div class="checkbox1" idcapa="<?= $capa->IdCapa ?>" tipomapa="<?= $capa->IdcTipoMapa ?>" >
                        <?= Html::checkbox( $capa->idcTipoCapa->Nombre ,false, [ "class"=>"mapCheck" ])?><span class="NombreCheck" title="<?=$capa->idcTipoCapa->Nombre ?>" ><?=$capa->idcTipoCapa->Nombre ?></span>

                    </div>
                    <?php } ?>
                   </div>

                <br>

                <label class="small" >Filtrar por A&ntilde;o</label><br>
                 <div><span style="float:left;" id="yearMin"  class="small">0</span><span style="float: right;" id="yearMax"  class="small">100</span><span class="clearfix"></span></div>
                <?php
                echo Html::input('text','slideYear',0,[
                    "id"=>"slideYear",
                    "data-slider-min"=>0,
                    "data-slider-max"=>100,
                    "data-slider-step"=>1,
                    "data-slider-value"=>50,
                    "data-slider-id"=>"slideryear",
                    "data-slider-tooltip"=>"always",

                    "data-slider-handle"=>"round",
                    "data-slider-orientation"=>'horizontal',
                    "data-slider-tooltip-position"=>"bottom"
                ]);
                ?>
                <br><br>
                <label  class="small">Transparencia</label>
                <div>
                    <div><span style="float:left;" class="small">0</span><span style="float: right;"  class="small" >100</span><span class="clearfix"></span></div>
                    <?php
                    echo Html::input('text','slideOpacity',0,[
                        "id"=>"slideOpacity",
                        "data-slider-min"=>0,
                        "data-slider-max"=>100,
                        "data-slider-step"=>1,
                        "data-slider-value"=>50,
                        "data-slider-id"=>"g",
                        "data-slider-handle"=>"round",
                        "data-slider-tooltip-position"=>"bottom",
                        "data-slider-tooltip"=>"always",
                        "data-slider-orientation"=>'horizontal'
                    ]);
                    ?>
                </div>
                <br><br>

                <label class="small">Leyenda</label>
                <div id="wrapper" style="width=100%;overflow: hidden;">
                    <div id="minColor" style="float: left" class="small">192</div>
                    <div id="maxColor" style="float: right" class="small">999</div>
                </div>
                <div id="wrapper" style="width=100%;border-radius: 4px;overflow: hidden;">

                    <div id="colorstrip" class="slider " style="float: left;height: 10px;width:50%;display: inline-block;background: red;background: -webkit-linear-gradient(left, red , yellow);background: -o-linear-gradient(right, red, yellow);background: -moz-linear-gradient(right, red, yellow);background: linear-gradient(to right, red , yellow);"></div>
                    <div id="colorstrip2" class="slider " style="float: left;height: 10px;width:50%;display: inline-block;background: red;background: -webkit-linear-gradient(left, yellow, green);background: -o-linear-gradient(right, yellow, green);background: -moz-linear-gradient(right, yellow, green);background: linear-gradient(to right, yellow, green);"></div>

                </div>
<br>
                <div >
                    <div ><button id="opc5"  class="btn btn-success input-block-level form-control">Mostrar Proyectos</button></div>
                    <div >&nbsp;</div>
                    <div ><button id="limpiar" class="btn btn-info input-block-level form-control">Limpiar Mapa</button></div>
                </div>

                <br>



                </div><!-- container -->
                <div id="loading" class="cargando">
                    <div class="proccess"><img src="<?=Url::base(true)."/images/icon2.png" ?>" style="    left: -55px; top: -107px; position: absolute;" ><span class="glyphicon glyphicon-refresh glyphicon-spin " style="  left: -48px;"></span></div>

                </div>

            </div> <!-- dashboard-opc-->


        <div id="map"></div>



        <div id="modalPhoto" class="modal fade modal-fullscreen force-fullscreen"  tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
            <div class="modal-dialog">
                <div class="modal-content">
                    <div class="modal-header">
                        <button class="btn btn-danger pull-right" type="button" data-dismiss="modal" aria-hidden="true">
                            <span class="glyphicon glyphicon-remove"></span>
                        </button>
                        <h4 class="modal-title">Imagenes</h4>
                    </div>
                    <div class="modal-body">


                        <style>
                            .modal.modal-fullscreen .modal-content {
                                background: rgba(0, 0, 0, .5);
                            }
                            .modal.modal-fullscreen .modal-header {
                                border: 0;
                                color: #fff;
                            }
                            .modal.modal-fullscreen .modal-footer {
                                border-color: rgba(0, 0, 0, .5);
                            }
                        </style>


                        <div id="myCarousel" class="carousel slide"  ><!-- Carousel -->
                            <!-- Indicators -->
                            <ol class="carousel-indicators">
                                <li data-target="#myCarousel" data-slide-to="0" class="active"></li>
                                <li data-target="#myCarousel" data-slide-to="1"></li>
                                <li data-target="#myCarousel" data-slide-to="2"></li>
                            </ol>

                            <!-- Wrapper for slides -->
                            <div class="carousel-inner">
                                <div class="item active">
                                    <img src="http://localhost:8080/mapasWeb/mapwebsite/web/proyecto/7411b3a512f3ca8b0bb037b0da357b8d91cfac71.jpg" alt="First slide">
                                    <div class="carousel-caption">
                                        <h3>First slide label</h3>
                                        <p>Nulla vitae elit libero, a pharetra augue mollis interdum.</p>
                                    </div>
                                </div>
                                <div class="item">
                                    <img src="http://localhost:8080/mapasWeb/mapwebsite/web/proyecto/67a4163fcdd133fcc916e7c9daa9eaf18994acbe.jpg" alt="Second slide">
                                    <div class="carousel-caption">
                                        <h3>Second slide label</h3>
                                        <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit.</p>
                                    </div>
                                </div>
                                <div class="item">
                                    <img data-src="holder.js/600x300/auto/#555:#333/text:Third slide" alt="Third slide">
                                    <div class="carousel-caption">
                                        <h3>Third slide label</h3>
                                        <p>Praesent commodo cursus magna, vel scelerisque nisl consectetur.</p>
                                    </div>
                                </div>
                            </div>

                            <!-- Controls -->
                            <a class="left carousel-control" href="#myCarousel" role="button" data-slide="prev">
                                <span class="glyphicon glyphicon-chevron-left" aria-hidden="true"></span>
                                <span class="sr-only">Previous</span>
                            </a>
                            <a class="right carousel-control" href="#myCarousel" role="button" data-slide="next">
                                <span class="glyphicon glyphicon-chevron-right" aria-hidden="true"></span>
                                <span class="sr-only">Next</span>
                            </a>


                        </div><!-- end carousel -->






                    </div>

                </div><!-- /.modal-content -->
            </div><!-- /.modal-dialog -->
        </div><!-- /.modal -->




    </div>








    <?= $this->render('_scripts',['tipoMapas'=>$tipoMapas])  ?>
    <script>
        var t=null;
        var ob;
        $(document).ready(function(){
            t = $('#Mapa').DreamMapa();
        });

        function AbrirImagen(obj){
            if( t!=null){
                t.openPhotos( $(obj).attr("data-id") );
            }
        }

    </script>
    <div  style="display: none">
        <?php

        echo Slider::widget([
            'name'=> 'desass',
            'sliderColor' => Slider::TYPE_SUCCESS,
            'handleColor' => Slider::TYPE_SUCCESS,
            'value'=>2012,
            'pluginOptions' => [
                'orientation'=>'horizontal',
                'handle'=>'square',
                'tooltip'=>'always',
                'tooltip_position'=>'bottom',
                'min' => 2012,
                'max' => 2020,
                'step' => 1
            ],
            'pluginEvents'=>["slideStop"=>"function() {    t.setColorPolygon($(this).val()); /* generarMapColor($(this).val());*/   } "]
        ]);

        /*
        "slideStart" => "function() { log("slideStart"); }",
        "slide" => "function() { log("slide"); }",
        "slideStop" => "function() { log("slideStop"); }",
        "slideEnabled" => "function() { log("slideEnabled"); }",
        "slideDisabled" => "function() { log("slideDisabled"); }",
        */

        ?>
    </div>

    <style>
        .footer{ padding-top: 0px!important;}
    </style>

</div>
