<?php

/* @var $this yii\web\View */


use yii\helpers\Html;

$this->title = 'Importación de Información';
$this->params['breadcrumbs'][] = $this->title;
?>
<div class="importacion-index">

    <h1><?= Html::encode($this->title) ?></h1>

    <div class="body-content">
        <br>
        <div class="row">


            <div class="col-md-5 col-lg-4">
                <h2>Importar KMZs</h2>

                <p>Permite importar nuevos KMZs o actualizar los ya existentes en el sistema.</p>
                <?= Html::a('KMZs &raquo;', ['/importacion/kmz'], ['class' => 'btn btn-success btn-lg']) ?>

            </div>


            <div class="col-md-5 col-lg-4">
                <h2>Capas Estáticas</h2>

                <p>Permite importar información estadística que será representada en forma de capas estáticas en el Dashboard.</p>
                <?= Html::a('Capas &raquo;', ['/capa/index'], ['class' => 'btn btn-info btn-lg']) ?>
            </div>

        </div>

    </div>

</div>

